# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name process-leksah

%global common_summary Library for system processes in leksah

%global common_description This package contains libraries for dealing with system processes in leksah.

Name:           ghc-%{pkg_name}
Version:        1.0.1.4
Release:        13%{?dist}
Summary:        %{common_summary}

License:        BSD and HaskellReport
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch1       : filepath_versionfix.patch
Patch2       : encoding_fix.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 1.0.1.4-12
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 24 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-10
- Apply patches for building with ghc7.4
- add HaskellReport license

* Sun Mar 18 2012 Jens Petersen <petersen@redhat.com> - 1.0.1.4-9
- update to cabal2spec-0.25
- add HaskellReport license

* Sun Jan 08 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-8
- rebuild for haskell-platform update

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.1.4-7.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.1.4-7.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.0.1.4-7.1
- rebuild with new gmp

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-7
- Update to cabal2spec-0.23.2

* Mon Jun 20 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-6
- Rebuild for ghc-7.0.4. Update to cabal2spec 0.23.1.

* Fri Mar 11 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-5
- Rebuild for ghc-7.0.2

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.1.4-4
- Enable build on sparcv9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-2
- upgrading to cabal2spec-0.22.4

* Tue Dec  7 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.0.1.4-1
- Changed license to BSD. No dependencies required.

* Tue Dec  7 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.0.1.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
